Bug 143215 - Can not update
Can not update
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-17 10:19 EST by Jakub Kocourek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: up2date-4.3.69-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-11 15:41:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub Kocourek 2004-12-17 10:19:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
I can NOT update my system. Up2date halt with error:

[jakub@r4a18 ~]$ up2date -v -u
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-3
using mirror: http://sunsite.mff.cuni.cz/pub/fedora/3/i386/os/
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc3
using mirror:
http://mirror.hiwaay.net/redhat/fedora/linux/core/updates/3/i386/

Fetching Obsoletes list for channel: fedora-core-3...

Fetching Obsoletes list for channel: updates-released-fc3...

Fetching rpm headers...
########################################
.
.
.
.
Testing package set / solving RPM inter-dependencies...

Downloading headers to solve dependencies...
Traceback (most recent call last):#####
  File "/usr/sbin/up2date", line 1245, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1119, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 74, in run
    self.__dryRun()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 159, in
__dryRun
    self.percentCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 386, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 553, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 520, in
process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 307, in
__dependencies
    msgCallback = self.msgCallback)
ValueError: unpack list of wrong size


Version-Release number of selected component (if applicable):
up2date-4.3.52-3

How reproducible:
Always

Steps to Reproduce:
1.open shell
2.run up2date -u
3.wait
    

Additional info:
Comment 1 Jakub Kocourek 2004-12-17 10:44:39 EST
I can NOT update any component!!!
I deleted /var/spool/up2date, but after up2date downloaded headers
ther is same error.
Comment 2 Jakub Kocourek 2004-12-22 02:26:44 EST
If I try to update kde-base, there is some other error:
[jakub@r4a195 ~]$ up2date
/usr/share/rhn/up2date_client/checklist.py:21: DeprecationWarning: use
gtk.TreeView
  gtk.CList.__init__ (self, columns+1)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-3
using mirror: http://mirror.etf.bg.ac.yu/fedora/linux/core/3/i386/os
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc3
using mirror:
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/3/i386/
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.create_pixmap is deprecated, use
gtk.gdk.Pixmap instead
  self.warn(message, DeprecationWarning)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainiteration is deprecated, use
gtk.main_iteration instead
  self.warn(message, DeprecationWarning)
/usr/share/rhn/up2date_client/checklist.py:139: DeprecationWarning:
integer argument expected, got float
  info  = self.get_selection_info (event.x, event.y)
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1753, in
onPackagePageNext
    ret = self.__packagePageDryRun()
  File "/usr/share/rhn/up2date_client/gui.py", line 1681, in
__packagePageDryRun
    self.__refreshCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 386, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 553, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 520, in
process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 361, in
__dependencies
    added = self.__add(solved, check = 1)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 210, in __add
    hdr = headerList[p]
  File "/usr/share/rhn/up2date_client/headers.py", line 37, in __getitem__
    self.__retrievePackage(item)
  File "/usr/share/rhn/up2date_client/headers.py", line 42, in
__retrievePackage
    hdr, sourceType = rpcServer.doCall(self.repos.getHeader, item)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 302, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 30, in
getHeader
    channel = self.channels.getByLabel(pkg[6])
IndexError: string index out of range
Comment 3 Jakub Kocourek 2005-01-11 15:38:53 EST
Solved in development version 4.3.69-1.i386 Up2date'll work done when
4.3.69-1 will be in normal version for FC3. NO errors in 4.3.69-1!

Note You need to log in before you can comment on or make changes to this bug.